﻿.salepanel {
}

.salebanner:after {
    content: 'Sale';
    content: attr(data-sale);
    position: absolute;
    bottom: 0px;
    left: 0px;
    padding: 10px;
    background-color: #bc2453;
    color: #ffffff;
    width: 100%;
    font-size: 20px;
    text-transform: uppercase;
    letter-spacing: 0.075em;
}

[data-col="macro"] .salepanel .salebanner:after {
    bottom: initial;
    top: 0px;
}

.brand-heading.salebanner:after,
.heading-image.salebanner:after,
.hero-carousel.salebanner:after,
.featured-panel.salebanner:after {
    top: 0px;
    bottom: initial;
    text-align: center;
}


.salebanner.Christmas2018:after {
    background-color: #12429a;
    color: #ffffff;
    /*background-image: url('../content/Christmas_Banner_Repeat.svg');*/
    background-size: 10%;
}

.salebanner.Summer2019:after {
    background-color: #ae2927;
    color: #ffffff;
}

.salebadge.Summer2019:after {
    background-color: #ae2927;
    color: #ffffff;
}

.salebanner.Spring2020:after {
    background-color: #0d786d;
    color: #ffffff;
}

.salebadge.Spring2020:after {
    background-color: #0d786d;
    color: #ffffff;
}

.salebanner.ComingSoon:after {
    content: 'Coming Soon';
    background-color: #81d8d0;
    color: #ffffff;
}

.salebanner.RoadDiversion:after {
    background-color: #f7cb16;
    color: #000000;
}

.salebadge.RoadDiversion:after {
    background-color: #f7cb16;
    color: #000000;
}


/*2021*/

.salebanner.Autumn2021Purple:after {
    background-color: #5A2C48;
    color: #ffffff;
}

.salebadge.Autumn2021Purple:after {
    background-color: #5A2C48;
    color: #ffffff;
}


.salebanner.Autumn2021Nude:after {
    background-color: #FCD2A5;
    color: #000000;
}

.salebadge.Autumn2021Nude:after {
    background-color: #FCD2A5;
    color: #000000;
}




.salebanner.Christmas2021Green:after {
    background-color: #85A48C;
    color: #ffffff;
}

.salebadge.Christmas2021Green:after {
    background-color: #85A48C;
    color: #ffffff;
}


.salebanner.Christmas2021Gray:after {
    background-color: #F1F4F2;
    color: #000000;
}

.salebadge.Christmas2021Gray:after {
    background-color: #F1F4F2;
    color: #000000;
}


/*!2021*/


.salebanner.Valentines2022Blue:after {
    background-color: #606eb2;
    color: #ffffff;
}

.salebadge.Valentines2022Blue:after {
    background-color: #606eb2;
    color: #ffffff;
}


.salebanner.Valentines2022Pink:after {
    background-color: #c48490;
    color: #ffffff;
}

.salebadge.Valentines2022Pink:after {
    background-color: #c48490;
    color: #ffffff;
}




/* Small Devices, Tablets */
@media only screen and (max-width : 768px) {

    .salebanner:after {
        font-size: 16px;
    }
}


.salebadge.Christmas2020Green:after {
    background-color: #13322B;
    color: #ffffff;
}

.salebadge.Christmas2020Red:after {
    background-color: #572932;
    color: #ffffff;
}

.salebanner.Christmas2020Green:after {
    background-color: #13322B;
    color: #ffffff;
}

.salebanner.Christmas2020Red:after {
    background-color: #572932;
    color: #ffffff;
}




.salebanner.Spring2022Green:after, .salebadge.Spring2022Green:after {
    background-color: #A9C47F;
    color: #ffffff;
}
.salebanner.Spring2022Tan:after, .salebadge.Spring2022Tan:after {
    background-color: #D9C89E;
    color: #ffffff;
}
.salebanner.MothersDay2022:after, .salebadge.MothersDay2022:after {
    background-color: #F1BE48;
    color: #ffffff;
}
.salebanner.Easter2022:after, .salebadge.Easter2022:after {
    background-color: #768692;
    color: #ffffff;
}
.salebanner.Summer2022:after, .salebadge.Summer2022:after {
    background-color: #ff8200;
    color: #ffffff;
}
.salebanner.Jubilee2022:after, .salebadge.Jubilee2022:after {
    background-color: #606eb2;
    color: #ffffff;
}



/*!2022*/


.salebanner.AutumnPink2022:after {
    background-color: #ff48b0;
    color: #ffffff;
}

.salebadge.AutumnPink2022:after {
    background-color: #ff48b0;
    color: #ffffff;
}




.salebanner.AutumnBeige2022:after {
    background-color: #c07f53;
    color: #ffffff;
}

.salebadge.AutumnBeige2022:after {
    background-color: #c07f53;
    color: #ffffff;
}


.salebanner.Black:after {
    background-color: #000000;
    color: #ffffff;
}

.salebadge.Black:after {
    background-color: #000000;
    color: #ffffff;
}



/*2023*/


.salebanner.SpringPurple2023:after {
    background-color: #caafcc;
    color: #ffffff;
}

.salebadge.SpringPurple2023:after {
    background-color: #caafcc;
    color: #ffffff;
}


.salebanner.SpringCoral2023:after {
    background-color: #ed6f67;
    color: #ffffff;
}

.salebadge.SpringCoral2023:after {
    background-color: #ed6f67;
    color: #ffffff;
}
/*2025*/
.salebanner.Pantone2038CPink2025:after {
    background-color: #F060A3;
    color: #000000;
}
.salebadge.Pantone2038CPink2025:after {
    background-color: #F060A3;
    color: #ffffff;
}
